<div class="row">
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
        <div class="card mb-3">
            <div class="card-header bg-dark text-white">
                <h3><i class="fa-solid fa-memo-pad"></i> Logs</h3>
            </div>

            <div class="card-body p-0">

                <div style="padding:10px;">
                    <form class="input-group" data-toggle="validator" role="form" method="get" action="logs.php">
                        <div class="input-group-prepend">
                            <select class="custom-select" name="log_event[]" data-toggle="multiselect" multiple>
                                {% for log in logEvents %}
                                <option value="{log}" selected>{log}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <input type="text" name="log_search" class="form-control" style="margin:0px;" placeholder="Log search" value="{_GET[log_search]}">
                        <div class="input-group-append">
                            <button class="btn btn-outline-secondary" type="submit">Search</button>
                        </div>
                        {% for k, v in url_params %}
                            {% if k != "log_event" %}
                            {% if k != "log_search" %}
                            <input type="hidden" name="{k}" value="{v}">
                            {% endif %}
                            {% endif %}
                        {% endfor %}
                    </form>
                </div>

                <table class="table table-bordered table-responsive-xl table-hover table-sm display mb-0 border-0" style="table-layout:fixed;">
                    <thead>
                        <tr>
                            <th style="width:10%">Event</th>
                            <th style="width:60%">Log</th>
                            <th style="width:10%">Time</th>
                            <th style="width:20%">Server</th>
                        </tr>
                    </thead>
                    <tbody id="logs">
                        {% for log in logs %}
                            <tr id="log-{log[id]}">
                                <td onclick="show_hide_row('logdata-{log[id]}');">{log[event]}</td>
                                <td style="word-wrap:break-word;overflow-wrap:break-word;">{log[log]}</td>
                                <td>{log[time]}</td>
                                <td><a href="{NM_URL}server.php?id={log[sid]}">{log[server]}</a></td>
                            </tr>
                            <tr id="logdata-{log[id]}" class="table-hidden_row">
                                <td class="p-0 border-0">
                                    <table class="table table-striped table-bordered table-responsive-xl table-hover table-sm display mb-0 ml-3 border-0">
                                        <tbody>
                                            {% for argid, detailarr in log[details] %}
                                                {% for data in detailarr %}
                                                <tr>
                                                    <td style="word-wrap:break-word;overflow-wrap:break-word;height:30px;">{% if data[vid] %}{data[vid]}{% else %}{data[type]}{% endif %}</td>
                                                </tr>
                                                {% endfor %}
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </td>
                                <td colspan=3 class="p-0 border-0">
                                    <table style="table-layout:fixed;" class="table table-striped table-bordered table-responsive-xl table-hover table-sm display mb-0 border-0">
                                        <tbody>
                                            {% for argid, detailarr in log[details] %}
                                                {% for data in detailarr %}
                                                <tr>
                                                    <td style="word-wrap:break-word;overflow-wrap:break-word;height:30px;">{data[safevalue]}</td>
                                                </tr>
                                                {% endfor %}
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {|pagination|}
            </div>
        </div><!-- end card-->
    </div>
</div>